-- Table: booking_user

CREATE TABLE booking_user
(
  user_id numeric(10,0) NOT NULL,
  user_alias character varying(10) NOT NULL,
  user_sex character varying(1) NOT NULL,
  user_level character varying(10) NOT NULL,
  user_name character varying(50) NOT NULL,
  user_surname character varying(100) NOT NULL,
  user_phone numeric(11,0) NOT NULL,
  user_email character varying(100) NOT NULL,
  user_hash_password character varying(100) NOT NULL,
  user_login_attempt numeric(1,0) NOT NULL DEFAULT 3,
  user_recovery_password_hash character varying(100),
  user_recovery_password_timestamp date,
  CONSTRAINT "User_pkey" PRIMARY KEY (user_id ),
  CONSTRAINT booking_user_user_alias_key UNIQUE (user_alias ),
  CONSTRAINT booking_user_user_email_key UNIQUE (user_email )
)
WITH (
  OIDS=FALSE
);
ALTER TABLE booking_user
  OWNER TO postgres;

  
-- Table: booking_user_preferences

CREATE TABLE booking_user_preferences
(
  user_preferences_id numeric(10,0) NOT NULL,
  user_preferences_name character varying(100),
  user_preferences_value character varying(100),
  user_preferences_id_user numeric(10,0),
  CONSTRAINT user_id FOREIGN KEY (user_preferences_id_user)
      REFERENCES booking_user (user_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT id UNIQUE (user_preferences_id )
)
WITH (
  OIDS=FALSE
);
ALTER TABLE booking_user_preferences
  OWNER TO postgres;

-- Index: fki_user

-- DROP INDEX fki_user;

CREATE INDEX fki_user
  ON booking_user_preferences
  USING btree
  (user_preferences_id );

-- Index: fki_user_id

-- DROP INDEX fki_user_id;

CREATE INDEX fki_user_id
  ON booking_user_preferences
  USING btree
  (user_preferences_id_user );

